html, body {
  padding: 0;
  margin: 0;
  background: white;
  font-family: sans-serif;
}
body {
  background: rgba(0,0,40,0.3);
}

#main {
  padding: 12px;
}
#main > *:not(:last-child) {
  margin-bottom: 12px;
}
#main > * {
  border: 1px solid #333;
  padding: 4px;
  text-align: center;
  width: 200px;
}
#side {
  background: rgba(40,40,0,0.5);
  padding: 12px;
  color: #DDD;
}

/* relevant section */
body {
  display: -webkit-box;      /* OLD - iOS 6-, Safari 3.1-6 */
  display: -moz-box;         /* OLD - Firefox 19- (buggy but mostly works) */
  display: -ms-flexbox;      /* TWEENER - IE 10 */
  display: -webkit-flex;     /* NEW - Chrome */
  display: flex;             /* NEW, Spec - Opera 12.1, Firefox 20+ */
  
  -ms-flex-flow: row;
  -webkit-flex-flow: row;
  flex-flow: row;
}
#main {
  margin-left: auto;
  margin-right: auto;
}